# Uses of Interface
waffle.windows.auth.IWindowsDomain

Packages that use IWindowsDomain
Package
Description
waffle.windows.auth
Waffle JNA Windows Authorization Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsDomain in waffle.windows.auth

Methods in waffle.windows.auth that return IWindowsDomain
Modifier and Type
Method
Description
`IWindowsDomain[]`
IWindowsAuthProvider.`getDomains()`
Retrieve a list of domains (Active Directory) on the local server.

## Uses of IWindowsDomain in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsDomain
Modifier and Type
Class
Description
`class`
`WindowsDomainImpl`
Windows Domain.
Methods in waffle.windows.auth.impl that return IWindowsDomain
Modifier and Type
Method
Description
`IWindowsDomain[]`
WindowsAuthProviderImpl.`getDomains()`